Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QLabel

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QLabel class reference

### Public Functions

- QLabel ( QWidget * parent, const char * name, Qt::WFlags f = 0 ) `(obsolete)`
- QLabel ( const QString & text, QWidget * parent, const char * name, Qt::WFlags f = 0 ) `(obsolete)`
- QLabel ( QWidget * buddy, const QString & text, QWidget * parent = 0, const char * name = 0, Qt::WFlags f = 0 ) `(obsolete)`

## Member Function Documentation

### QLabel::QLabel ( QWidget * parent, const char * name, Qt::WFlags f = 0 )

Constructs an empty label.

The parent, name and widget flag f, arguments are passed to the QFrame constructor.

See also setAlignment(), setFrameStyle(), and setIndent().

### QLabel::QLabel ( const QString & text, QWidget * parent, const char * name, Qt::WFlags f = 0 )

Constructs a label that displays the text, text.

The parent, name and widget flag f, arguments are passed to the QFrame constructor.

See also setText(), setAlignment(), setFrameStyle(), and setIndent().

### QLabel::QLabel ( QWidget * buddy, const QString & text, QWidget * parent = 0, const char * name = 0, Qt::WFlags f = 0 )

Constructs a label that displays the text text. The label has a buddy widget, buddy.

If the text contains an underlined letter (a letter preceded by an ampersand, &), and the text is in plain text format, when the user presses Alt+ the underlined letter, focus is passed to the buddy widget.

The parent, name and widget flag, f, arguments are passed to the QFrame constructor.

See also setText(), setBuddy(), setAlignment(), setFrameStyle(), and setIndent().